﻿namespace Connected.Entities.Storage;

public class StorageContextArgs : EventArgs
{
	public StorageContextArgs(IStorageOperation operation)
	{
		if (operation is null)
			throw new ArgumentException(null, nameof(operation));

		Operation = operation;
	}

	public IStorageOperation Operation { get; }
}
